Re: [gtk-list] FreeBSD and gtk 1.1.3 problem

lyndon> Hi,
lyndon> When I try to run any gtk+ application, I get this error:
lyndon> /usr/libexec/ Undefined symbol "__Xsetlocale" called from gtkicq:/usr/X11R6/lib/ at 0x2012565c
lyndon> The machine is a FreeBSD 2.2.7 PII-450, with gtk+ 1.1.3 and glib 1.1.4.  We have XFree86.

Did you install from port?
The gtk+ and glib were reverted to 1.1.2, and 1.1.3.
I'm using FreeBSD 2.2.7 but it works.
Additionally, the X locale function is not needed in FreeBSD,
and you must build gtk+ without any locale option.

lyndon> I desperately need help with this, as my job is to develop a GTK interface for R (a stats package that is part of the GNU project).  Until I can get it running, I can't do much useful work.  Can anyone make a suggestion as to the cause?

It sounds good. :-)

Yukihiro Nakai

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]